#pragma once

// Called by Recurse (declared below) for each directory in a tree.
// Return TRUE to allow recursion to continue, or FALSE to halt the
// recursion immediately.
//
typedef BOOL (WINAPI *PFXNRECURSECALLBACK)( void *pvContext );

// Recurse
//
// Starts recursively enumerating directories starting with pszStartDir.  For each
// directory, a callback to pfxnForEachDir will be made.  The name of the
// directory being traversed into will be passed, along with the user-supplied
// pvContext argument.
//
BOOL Recurse( TCHAR *pszStartDir,
              PFXNRECURSECALLBACK pfxnForEachDir,
              void *pvContext );
